* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body,
#__next {
  width: 100%;
  height: 100%;
}

body.theme-light {
  background: rgb(255, 255, 255);
  color: rgb(0, 0, 0);
}

body.theme-dark {
  background: rgb(41, 41, 41);
  color: rgb(255, 255, 255);
}

body.theme-night {
  background: rgb(46, 53, 65);
  color: rgb(255, 255, 255);
}

.bn-onboard-modal {
  z-index: 3;
}

aside.bn-onboard-custom {
  animation-name: none !important;

  > section.bn-onboard-custom {
    font-family: Krub, sans-serif;
    height: 410px;
    width: 476px;
    box-sizing: border-box;
    overflow: auto;
    border-radius: 10px;
    border-left: 9px solid #e490ae;

    scrollbar-color: #c1c1c1 #fff;
    scrollbar-width: thin !important;

    &::-webkit-scrollbar {
      width: 9px;
      background-color: transparent;
    }

    &::-webkit-scrollbar-thumb:vertical {
      background: #c1c1c1;
      background-clip: padding-box;
      border: 2px solid #fff;
      border-right-width: 5px;
      min-height: 10px;
      border-radius: 100px;
    }

    &::-webkit-scrollbar-thumb:vertical:active {
      background: #c1c1c1;
      border: 2px solid #fff;
      border-right-width: 5px;
    }

    .bn-onboard-modal-content-header-icon,
    .bn-onboard-select-info-container {
      display: none;
    }

    .bn-onboard-modal-content-header-heading {
      font-size: 14px;
      margin-left: 0;
    }

    .bn-onboard-modal-select-wallets {
      > li button {
        border: 1px solid #f1f1f1;
        width: 199px;
        height: 66px;
        border-radius: 10px;
        padding-left: 15px;
        padding-right: 15px;

        > div {
          // icon
          > * {
            // icons can be img or svg
            width: 26px;
            height: 26px;
          }
        }

        span {
          // label
          &::before {
            content: 'Connect wth';
            display: block;
            font-weight: normal;
          }

          display: block;
          font-size: 12px;
          line-height: 1.4;
          margin-left: 15px;
        }
      }
    }
  }
}

body.theme-dark {
  aside.bn-onboard-custom {
    > section.bn-onboard-custom {
      background: rgb(41, 41, 41);
      color: white;
      scrollbar-color: rgba(0, 0, 0, 0.3) #292929;
      border-color: rgb(118, 100, 110);

      &::-webkit-scrollbar-thumb:vertical,
      &::-webkit-scrollbar-thumb:vertical:active {
        background: rgba(0, 0, 0, 0.3);
        border-color: #292929;
      }

      .bn-onboard-modal-select-wallets > li button {
        border-color: rgb(59, 59, 59);
      }
    }
  }
}

body.theme-night {
  aside.bn-onboard-custom {
    > section.bn-onboard-custom {
      background: rgb(46, 53, 65);
      color: white;
      scrollbar-color: rgba(0, 0, 0, 0.3) #2e3541;
      border-color: rgb(118, 92, 147);

      &::-webkit-scrollbar-thumb:vertical,
      &::-webkit-scrollbar-thumb:vertical:active {
        background: rgba(0, 0, 0, 0.3);
        border-color: #2e3541;
      }

      .bn-onboard-modal-select-wallets > li button {
        border-color: rgb(52, 59, 71);
      }
    }
  }
}

@media screen and (max-width: 1080px) {
  aside.bn-onboard-custom.bn-onboard-custom {
    align-items: flex-end;
    background: none;

    > section.bn-onboard-custom {
      min-height: 85vh;
      min-width: 80vw;
      max-width: calc(100% - 60px);
      margin-bottom: 30px;

      ul.bn-onboard-modal-select-wallets {
        max-height: none;

        > li {
          display: none;

          &:nth-child(2),
          &:nth-child(4),
          &:nth-child(7) {
            display: list-item;
          }
        }
      }
    }
  }
}

.bg-preloading-container {
  visibility: hidden;
}

@supports (padding: max(0px)) {
  html,
  body,
  #__next {
    padding-left: min(0vmin, env(safe-area-inset-left));
    padding-right: min(0vmin, env(safe-area-inset-right));
  }
}

body #MtPelerinModal.mtp-modal {
  background-color: rgba(0, 0, 0, 0.5);

  & > #MtPelerinModalContent.mtp-modal-content {
    height: 650px;
    overflow: hidden;

    @media screen and (max-width: 1080px) {
      height: 80%;
    }

    & > .mtp-iframe {
      top: 1rem;
    }

    & > .mtp-close-button-div {
      height: 1rem;
    }

    .mtp-close-button {
      height: 1rem;
      width: 1rem;
    }
  }
}
